SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000629SiT!otherpublic2009-04-02 14:572011-02-14 13:18
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000629: var_utc_offset ignores DST
DescriptionUser timezone setting is done as a UTC offset, e.g. UTC+1hr

Since UTC is always the same and the offset is always the same, users don't see the time change when entering or leaving daylight savings.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000733resolvedivan ldate() doesn't work with BST 

-  Notes
User avatar (0001001)
ivan (administrator)
2009-04-29 15:48

As mentioned in the forum:
http://sitracker.org/forum/viewtopic.php?f=4&t=1416779 [^]

We should add a DST setting.
User avatar (0001002)
kieran (administrator)
2009-04-29 15:54

Could we build in some DST rules and execute them once a day in auto.php to see if we're on DST yet?
User avatar (0001003)
ivan (administrator)
2009-04-29 16:15

That'd be nice, except I believe that DST is complex... as in it's hard to know what it'll be from year to year. My understanding is that some countries don't even use the same every year but decide what the dates are on a per-year basis.
User avatar (0001004)
kieran (administrator)
2009-04-29 16:25

A few snippets from the web:

"date('I') works out whether DST is enabled on the server or not. Since my timezone is GMT, if DST is enabled, I just add an hour."

---

"If you want to use PHP's native time handling functionality (it's very good) in PHP4, you can also do:

CODE
putenv( "TZ=Europe/London" );"
User avatar (0002882)
ivan (administrator)
2010-03-27 15:34

Should be fixed by 3.60 can anybody confirm?
User avatar (0003011)
ivan (administrator)
2010-04-10 22:49

This should have been fixed by changes released in 3.60. Marking fixed until I hear otherwise.

- Issue History
Date Modified Username Field Change
2009-04-02 14:57 ivan New Issue
2009-04-29 15:48 ivan Note Added: 0001001
2009-04-29 15:48 ivan Assigned To => ivan
2009-04-29 15:48 ivan Status new => confirmed
2009-04-29 15:48 ivan Target Version => 3.50
2009-04-29 15:54 kieran Note Added: 0001002
2009-04-29 16:15 ivan Note Added: 0001003
2009-04-29 16:25 kieran Note Added: 0001004
2009-05-29 14:58 ivan Target Version 3.50 => 3.60
2009-06-16 17:50 ivan Relationship added related to 0000733
2009-08-21 14:38 kieran Target Version 3.60 => 4.0
2010-03-27 15:34 ivan Note Added: 0002882
2010-03-27 15:34 ivan Status confirmed => feedback
2010-04-10 22:49 ivan Note Added: 0003011
2010-04-10 22:49 ivan Status feedback => assigned
2010-04-10 22:49 ivan Status assigned => resolved
2010-04-10 22:49 ivan Fixed in Version => 3.60 LTS
2010-04-10 22:49 ivan Resolution open => fixed
2011-02-14 13:18 ivan Fixed in Version 3.60 LTS => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker